Skip to content

Instantly share code, notes, and snippets.

@jwendell
Created June 5, 2023 13:17
Show Gist options
  • Save jwendell/da3895fdc7c2bff53f79e52a702be6b6 to your computer and use it in GitHub Desktop.
Save jwendell/da3895fdc7c2bff53f79e52a702be6b6 to your computer and use it in GitHub Desktop.
#!/bin/bash
set -exo pipefail
REPOS="istio istio-operator envoy proxy istio-must-gather prometheus ratelimit api"
#INACTIVE_REPOS="header-append-filter ratelimit xns-informer api"
BRANCH="maistra-2.3"
VERSION="2.3.2"
REMOTE_BASE="git@github.com:maistra"
TMPDIR=$(mktemp -d)
function cleanup() {
rm -rf "${TMPDIR}"
}
trap cleanup EXIT
for repo in ${REPOS}; do
cd "${TMPDIR}" || exit 1
git clone --depth=1 --branch=${BRANCH} "${REMOTE_BASE}/${repo}"
cd "${repo}" || exit 1
git checkout -b "releases/${VERSION}"
git push origin HEAD
done
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment